For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leads
        • GETGet a lead by ID
        • GETGet all lead sources
        • GETGet lead source by ID
        • POSTCreate Lead: MRI
        • PUTUpdate Lead: MRI
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
MRILeads

Get all leads

GET
/v1/leads/
GET
/v1/leads/
$curl https://api.propexo.com/v1/leads/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_created_at": null,
18 "x_guestcard_id": null,
19 "x_id": "000000123",
20 "x_leasing_agent_id": null,
21 "x_property_id": "123",
22 "x_unit_id_preferred": [
23 "04"
24 ],
25 "x_updated_at": null,
26 "x_lead_source_id": null,
27 "address_1": "123 Round Street",
28 "address_2": "Suite 827",
29 "city": "Newark",
30 "country": null,
31 "custom_data": {},
32 "date_of_birth": "2000-01-05T00:00:00Z",
33 "desired_amenities": null,
34 "desired_floor_plan_id": null,
35 "desired_floor_plan_name": null,
36 "desired_lease_term_in_months": "string",
37 "desired_max_rent_in_cents": null,
38 "desired_max_square_ft": null,
39 "desired_min_rent_in_cents": null,
40 "desired_min_square_ft": null,
41 "desired_num_bathrooms": null,
42 "desired_num_bedrooms": 2,
43 "desired_unit_number": null,
44 "desired_unit_type": null,
45 "email_1": "person@example.com",
46 "email_2": null,
47 "first_name": "Jane",
48 "ils": null,
49 "last_name": "Doe",
50 "lead_source": null,
51 "leasing_agent": null,
52 "middle_name": "J",
53 "notes": "Visit-N",
54 "number_of_occupants": 2,
55 "pets": [
56 {
57 "id": "clwktsp9v000008l31iv218hn",
58 "created_at": "2024-03-21T15:38:08.337Z",
59 "updated_at": "2024-03-22T10:59:45.119Z",
60 "last_seen": "2024-03-22T10:59:45.119Z",
61 "x_id": "89",
62 "age_in_years": null,
63 "breed": null,
64 "color": null,
65 "gender_raw": null,
66 "is_fixed": null,
67 "is_service_animal": null,
68 "name": null,
69 "notes": null,
70 "type": "D",
71 "weight_in_pounds": null,
72 "custom_data": {}
73 }
74 ],
75 "phone_1_type": "MOBILE",
76 "phone_1": "5555555555",
77 "phone_2_type": "HOME",
78 "phone_2": "5555555554",
79 "state": "NJ",
80 "status": null,
81 "target_move_in_date": "2025-06-30T00:00:00Z",
82 "zip": "17892",
83 "property_id": "clwi5xiix000008l6ctdgafyh",
84 "lead_source_id": null,
85 "unit_id_preferred": null,
86 "integration_id": "clwh5u07w000508me66sfh3um",
87 "integration_vendor": "MRI",
88 "screenings": [
89 {
90 "id": "clwktsp9v000008l31iv218hn",
91 "created_at": "2024-03-21T15:38:08.337Z",
92 "last_seen": "2024-03-22T10:59:45.119Z",
93 "x_id": "string",
94 "status_raw": "string",
95 "screening_date": "string"
96 }
97 ],
98 "x_unit_id": null,
99 "pet_details": null
100 }
101 ]
102}
Get all leads
Was this page helpful?
Previous

Get a lead by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external lead id
x_property_idstringOptional

Deprecated: Use the Propexo property_id instead

location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

x_unit_idstringOptional
The external unit id
email_1stringOptional
Lead email address
email_2stringOptional
Lead email address alternate
property_idstringOptional
The Propexo property id
integration_idstringOptional
The Propexo integration id
integration_vendorenumOptional
The integration vendor for the lead.
phone_1stringOptionalformat: "^[2-9]\d{9}$"

Filter by phone number (10 digit format only)

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error